aboutsummaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/grub2/grub2.SlackBuild2
-rw-r--r--system/grub2/update-grub9
2 files changed, 11 insertions, 0 deletions
diff --git a/system/grub2/grub2.SlackBuild b/system/grub2/grub2.SlackBuild
index 13819cac23979..c951e92c4a1bf 100644
--- a/system/grub2/grub2.SlackBuild
+++ b/system/grub2/grub2.SlackBuild
@@ -74,6 +74,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
+cp $CWD/update-grub $PKG/usr/bin
+
mkdir -p $PKG/etc/default
cat $CWD/etc.default.grub > $PKG/etc/default/grub
diff --git a/system/grub2/update-grub b/system/grub2/update-grub
new file mode 100644
index 0000000000000..9f59590ef8253
--- /dev/null
+++ b/system/grub2/update-grub
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+GRUB_MKCONFIG=$(which grub-mkconfig)
+
+if [ -e /boot/grub/grub.cfg ]; then
+ mv -n /boot/grub/grub.cfg /boot/grub/grub.cfg.old.$$ || exit 1
+fi
+
+$GRUB_MKCONFIG -o /boot/grub/grub.cfg $@